Summary:	LSI Logic MegaRAID Linux MegaCLI utility
Summary(pl.UTF-8):	Linuksowe narzędzie MegaCLI dla macierzy LSI Logic MegaRAID
Name:		megacli-sas
Version:	8.05.06
Release:	1
License:	LSI
Group:		Applications/System
# http://www.lsi.com/downloads/Public/MegaRAID%20Common%20Files/8.05.06_MegaCLI.zip
# EULA acceptance required to download
Source0:	%{version}_MegaCLI.zip
# Source0-md5:	c3421608c7e3427318e41da18f91c38b
Source1:	LICENSE.LSI
BuildRequires:	rpm-utils
BuildRequires:	unzip
Requires:	sysfsutils >= 2.2.0
Requires:	sysfsutils < 2.3.0
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir		/sbin

# no debug symbols
%define		_enable_debug_packages	0

%description
Tool to control MegaRAID controllers:
- MegaRAID SAS 9270-8i
- MegaRAID SAS 9271-4i
- MegaRAID SAS 9271-8i
- MegaRAID SAS 9271-8iCC
- MegaRAID SAS 9286-8e
- MegaRAID SAS 9286CV-8e
- MegaRAID SAS 9286CV-8eCC
- MegaRAID SAS 9265-8i
- MegaRAID SAS 9285-8e
- MegaRAID SAS 9240-4i
- MegaRAID SAS 9240-8i
- MegaRAID SAS 9260-4i
- MegaRAID SAS 9260CV-4i
- MegaRAID SAS 9260-8i
- MegaRAID SAS 9260CV-8i
- MegaRAID SAS 9260DE-8i
- MegaRAID SAS 9261-8i
- MegaRAID SAS 9280-4i4e
- MegaRAID SAS 9280-8e
- MegaRAID SAS 9280DE-8e
- MegaRAID SAS 9280-24i4e
- MegaRAID SAS 9280-16i4e
- MegaRAID SAS 9260-16i
- MegaRAID SAS 9266-4i
- MegaRAID SAS 9266-8i
- MegaRAID SAS 9285CV-8e
- MegaRAID SAS 8704ELP
- MegaRAID SAS 8704EM2
- MegaRAID SAS 8708ELP
- MegaRAID SAS 8708EM2
- MegaRAID SAS 8880EM2
- MegaRAID SAS 8888ELP
- MegaRAID SAS 8308ELP*
- MegaRAID SAS 8344ELP*
- MegaRAID SAS 84016E*
- MegaRAID SAS 8408E*
- MegaRAID SAS 8480E*
- MegaRAID SATA 300-8ELP*

* These older controllers should work but have not been tested.

%description -l pl.UTF-8
Narzędzie do sterowania kontrolerami MegaRAID:
- MegaRAID SAS 9270-8i
- MegaRAID SAS 9271-4i
- MegaRAID SAS 9271-8i
- MegaRAID SAS 9271-8iCC
- MegaRAID SAS 9286-8e
- MegaRAID SAS 9286CV-8e
- MegaRAID SAS 9286CV-8eCC
- MegaRAID SAS 9265-8i
- MegaRAID SAS 9285-8e
- MegaRAID SAS 9240-4i
- MegaRAID SAS 9240-8i
- MegaRAID SAS 9260-4i
- MegaRAID SAS 9260CV-4i
- MegaRAID SAS 9260-8i
- MegaRAID SAS 9260CV-8i
- MegaRAID SAS 9260DE-8i
- MegaRAID SAS 9261-8i
- MegaRAID SAS 9280-4i4e
- MegaRAID SAS 9280-8e
- MegaRAID SAS 9280DE-8e
- MegaRAID SAS 9280-24i4e
- MegaRAID SAS 9280-16i4e
- MegaRAID SAS 9260-16i
- MegaRAID SAS 9266-4i
- MegaRAID SAS 9266-8i
- MegaRAID SAS 9285CV-8e
- MegaRAID SAS 8704ELP
- MegaRAID SAS 8704EM2
- MegaRAID SAS 8708ELP
- MegaRAID SAS 8708EM2
- MegaRAID SAS 8880EM2
- MegaRAID SAS 8888ELP
- MegaRAID SAS 8308ELP*
- MegaRAID SAS 8344ELP*
- MegaRAID SAS 84016E*
- MegaRAID SAS 8408E*
- MegaRAID SAS 8480E*
- MegaRAID SATA 300-8ELP*

* Te starsze kontrolery powinny działać, ale nie zostało to przetestowane.

%prep
%setup -qcT
unzip %{SOURCE0} MegaCli_Linux/* %{version}_MegaCLI.txt
rpm2cpio MegaCli_Linux/MegaCli-%{version}*.rpm | cpio -i -d
install %{SOURCE1} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}
%ifarch %{ix86}
install -p opt/MegaRAID/MegaCli/MegaCli $RPM_BUILD_ROOT%{_sbindir}/MegaCli
%endif
%ifarch %{x8664}
install -p opt/MegaRAID/MegaCli/MegaCli64 $RPM_BUILD_ROOT%{_sbindir}/MegaCli
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.LSI %{version}_MegaCLI.txt
%attr(755,root,root) %{_sbindir}/MegaCli
%changelog
* Fri Oct 12 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/megacli-sas.git;a=log;h=master

* Fri Oct 12 2012 Jan Rękorajski <baggins@pld-linux.org> 1a64da7
- move from Base Group to Applications/System
- added License
- according to LSI license 2.1 (c) we can distribute it

* Fri Oct 12 2012 Jan Rękorajski <baggins@pld-linux.org> 9cdcc39
- updated controller list

* Thu Oct 11 2012 Jan Rękorajski <baggins@pld-linux.org> c6c5c40
- fix LSI archeve extraction

* Thu Oct 11 2012 Jan Rękorajski <baggins@pld-linux.org> a62f363
- up to 8.05.06

* Thu Sep 22 2011 Tomasz Pala <gotar@pld-linux.org> 10206cb
- fixed URL and version - is this redistributable anyway!?

* Thu Sep 22 2011 Tomasz Pala <gotar@pld-linux.org> 5fcb958
- upgraded to 8.02.06

* Tue Jul 26 2011 areq <areq@pld-linux.org> da2e361
- 8.01.06

* Sun Mar 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8cab96f
- R specific sysfsutils version

* Sat Mar 05 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cf6256
- up to 8.00.40

* Sun May 16 2010 sparky <sparky@pld-linux.org> 17fc124
- BR: unzip

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> f8b54ff
- disable debuginfo package

* Sat Apr 11 2009 Jakub Bogusz <qboosh@pld-linux.org> e624daa
- pl

* Thu Feb 26 2009 Jan Rękorajski <baggins@pld-linux.org> 29eab31
- do not rename program, it's confusing as it has hardcoded name in help

* Tue Jun 17 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 141e6ae
- megacli sas

